package types

import (
	storetypes "cosmossdk.io/store/types"

	sdk "git.cw.tr/mukan-network/mukan-sdk/types"

	"git.cw.tr/mukan-network/mukan-ibc/modules/core/exported"
)

// ClientKeeper defines the expected client keeper
type ClientKeeper interface {
	ClientStore(ctx sdk.Context, clientID string) storetypes.KVStore
	GetClientState(ctx sdk.Context, clientID string) (exported.ClientState, bool)
	SetClientState(ctx sdk.Context, clientID string, clientState exported.ClientState)
}
